package com.fjhx.common.service.currency.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.fjhx.common.entity.currency.po.CurrencyRate;
import com.fjhx.common.mapper.currency.CurrencyRateMapper;
import com.fjhx.common.service.currency.CurrencyRateService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 币种默认汇率 服务实现类
 * </p>
 *
 * @author
 * @since 2023-04-24
 */
@Service
public class CurrencyRateServiceImpl extends ServiceImpl<CurrencyRateMapper, CurrencyRate> implements CurrencyRateService {

    @Override
    public List<CurrencyRate> getList() {
        return list();
    }

    @Override
    public void edit(List<CurrencyRate> currencyRateList) {
        saveOrUpdateBatch(currencyRateList);
    }

}
